2018-12-11 00:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005382Talerexchangepublic2018-09-15 11:06
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version0.6 
Summary0005382: Signature from exchange tracking information never verified.
DescriptionThe merchant does never verify what the exchange returns as /track/transfer and /track/transaction responses, but it has to.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013151

Marcello Stanisci (manager)

Changing the cathegory to 'exchange' because usually it is the "lib" function
that checks signatures when parsing raw responses. Commit 28140f90 adds the
(missing) signature verification for /track/transfer.
+Notes

-Issue History
Date Modified Username Field Change
2018-07-03 10:14 Marcello Stanisci New Issue
2018-07-03 10:14 Marcello Stanisci Status new => assigned
2018-07-03 10:14 Marcello Stanisci Assigned To => Marcello Stanisci
2018-07-03 10:15 Marcello Stanisci Target Version => 0.6
2018-07-27 16:35 Marcello Stanisci Category mechant backend => exchange
2018-07-27 16:37 Marcello Stanisci Note Added: 0013151
2018-07-27 16:37 Marcello Stanisci Status assigned => resolved
2018-07-27 16:37 Marcello Stanisci Resolution open => fixed
2018-09-15 11:06 Christian Grothoff Fixed in Version => 0.6
+Issue History